Index: branches/1.3/gui/scripts/vtkstreamlinesviewer.tcl
===================================================================
--- branches/1.3/gui/scripts/vtkstreamlinesviewer.tcl	(revision 4828)
+++ branches/1.3/gui/scripts/vtkstreamlinesviewer.tcl	(revision 4848)
@@ -1744,9 +1742,25 @@
         Rappture::Combobox $inner.colormap -width 10 -editable no
     }
-    $inner.colormap choices insert end [GetColormapList]
+    $inner.colormap choices insert end \
+        "BCGYR"              "BCGYR"            \
+        "BGYOR"              "BGYOR"            \
+        "blue"               "blue"             \
+        "blue-to-brown"      "blue-to-brown"    \
+        "blue-to-orange"     "blue-to-orange"   \
+        "blue-to-grey"       "blue-to-grey"     \
+        "green-to-magenta"   "green-to-magenta" \
+        "greyscale"          "greyscale"        \
+        "nanohub"            "nanohub"          \
+        "rainbow"            "rainbow"          \
+        "spectral"           "spectral"         \
+        "ROYGB"              "ROYGB"            \
+        "RYGCB"              "RYGCB"            \
+        "brown-to-blue"      "brown-to-blue"    \
+        "grey-to-blue"       "grey-to-blue"     \
+        "orange-to-blue"     "orange-to-blue"   
 
     $itk_component(colormap) value "BCGYR"
     bind $inner.colormap <<Value>> \
-        [itcl::code $this AdjustSetting -streamlinescolormap]
+        [itcl::code $this AdjustSetting streamlinesColormap]
 
     blt::table $inner \
@@ -1775,38 +1789,33 @@
     set inner [$itk_component(main) insert end \
         -title "Axis Settings" \
-        -icon [Rappture::icon axis2]]
+        -icon [Rappture::icon axis1]]
     $inner configure -borderwidth 4
 
     checkbutton $inner.visible \
-        -text "Axes" \
-        -variable [itcl::scope _settings(-axesvisible)] \
-        -command [itcl::code $this AdjustSetting -axesvisible] \
+        -text "Show Axes" \
+        -variable [itcl::scope _settings(axesVisible)] \
+        -command [itcl::code $this AdjustSetting axesVisible] \
         -font "Arial 9"
 
     checkbutton $inner.labels \
-        -text "Axis Labels" \
-        -variable [itcl::scope _settings(-axislabelsvisible)] \
-        -command [itcl::code $this AdjustSetting -axislabelsvisible] \
+        -text "Show Axis Labels" \
+        -variable [itcl::scope _settings(axisLabelsVisible)] \
+        -command [itcl::code $this AdjustSetting axisLabelsVisible] \
         -font "Arial 9"
-    label $inner.grid_l -text "Grid" -font "Arial 9" 
+
     checkbutton $inner.xgrid \
-        -text "X" \
-        -variable [itcl::scope _settings(-xgrid)] \
-        -command [itcl::code $this AdjustSetting -xgrid] \
+        -text "Show X Grid" \
+        -variable [itcl::scope _settings(axisXGrid)] \
+        -command [itcl::code $this AdjustSetting axisXGrid] \
         -font "Arial 9"
     checkbutton $inner.ygrid \
-        -text "Y" \
-        -variable [itcl::scope _settings(-ygrid)] \
-        -command [itcl::code $this AdjustSetting -ygrid] \
+        -text "Show Y Grid" \
+        -variable [itcl::scope _settings(axisYGrid)] \
+        -command [itcl::code $this AdjustSetting axisYGrid] \
         -font "Arial 9"
     checkbutton $inner.zgrid \
-        -text "Z" \
-        -variable [itcl::scope _settings(-zgrid)] \
-        -command [itcl::code $this AdjustSetting -zgrid] \
-        -font "Arial 9"
-    checkbutton $inner.minorticks \
-        -text "Minor Ticks" \
-        -variable [itcl::scope _settings(-axisminorticks)] \
-        -command [itcl::code $this AdjustSetting -axisminorticks] \
+        -text "Show Z Grid" \
+        -variable [itcl::scope _settings(axisZGrid)] \
+        -command [itcl::code $this AdjustSetting axisZGrid] \
         -font "Arial 9"
 
@@ -1819,24 +1828,22 @@
         "static_triad"    "static" \
         "closest_triad"   "closest" \
-        "furthest_triad"  "farthest" \
+        "furthest_triad"  "furthest" \
         "outer_edges"     "outer"         
-    $itk_component(axismode) value $_settings(-axismode)
-    bind $inner.mode <<Value>> [itcl::code $this AdjustSetting -axismode]
+    $itk_component(axismode) value "static"
+    bind $inner.mode <<Value>> [itcl::code $this AdjustSetting axis-mode]
 
     blt::table $inner \
-        0,0 $inner.visible -anchor w -cspan 4 \
-        1,0 $inner.labels  -anchor w -cspan 4 \
-        2,0 $inner.minorticks  -anchor w -cspan 4 \
-        4,0 $inner.grid_l  -anchor w \
-        4,1 $inner.xgrid   -anchor w \
-        4,2 $inner.ygrid   -anchor w \
-        4,3 $inner.zgrid   -anchor w \
-        5,0 $inner.mode_l  -anchor w -padx { 2 0 } \
-        5,1 $inner.mode    -fill x   -cspan 3
+        0,0 $inner.visible -anchor w -cspan 2 \
+        1,0 $inner.labels  -anchor w -cspan 2 \
+        2,0 $inner.xgrid   -anchor w -cspan 2 \
+        3,0 $inner.ygrid   -anchor w -cspan 2 \
+        4,0 $inner.zgrid   -anchor w -cspan 2 \
+        5,0 $inner.mode_l  -anchor w -cspan 2 -padx { 2 0 } \
+        6,0 $inner.mode    -fill x   -cspan 2 
 
     blt::table configure $inner r* c* -resize none
-    blt::table configure $inner r7 c6 -resize expand
-    blt::table configure $inner r3 -height 0.125i
-}
+    blt::table configure $inner r7 c1 -resize expand
+}
+
 
 itcl::body Rappture::VtkStreamlinesViewer::BuildCameraTab {} {
@@ -1858,5 +1865,4 @@
         0,0 $inner.view_l -anchor e -pady 2 \
         0,1 $inner.view -anchor w -pady 2
-    blt::table configure $inner r0 -resize none
 
     set labels { qx qy qz qw xpan ypan zoom }
@@ -1865,9 +1871,7 @@
         label $inner.${tag}label -text $tag -font "Arial 9"
         entry $inner.${tag} -font "Arial 9"  -bg white \
-            -textvariable [itcl::scope _view(-$tag)]
-        bind $inner.${tag} <Return> \
-            [itcl::code $this camera set -${tag}]
-        bind $inner.${tag} <KP_Enter> \
-            [itcl::code $this camera set -${tag}]
+            -textvariable [itcl::scope _view($tag)]
+        bind $inner.${tag} <KeyPress-Return> \
+            [itcl::code $this camera set ${tag}]
         blt::table $inner \
             $row,0 $inner.${tag}label -anchor e -pady 2 \
@@ -1878,6 +1882,6 @@
     checkbutton $inner.ortho \
         -text "Orthographic Projection" \
-        -variable [itcl::scope _view(-ortho)] \
-        -command [itcl::code $this camera set -ortho] \
+        -variable [itcl::scope _view(ortho)] \
+        -command [itcl::code $this camera set ortho] \
         -font "Arial 9"
     blt::table $inner \
@@ -1886,5 +1890,5 @@
     incr row
 
-    blt::table configure $inner c* -resize none
+    blt::table configure $inner c* r* -resize none
     blt::table configure $inner c2 -resize expand
     blt::table configure $inner r$row -resize expand
@@ -1903,33 +1907,33 @@
     checkbutton $inner.visible \
         -text "Show Cutplanes" \
-        -variable [itcl::scope _settings(-cutplanevisible)] \
-        -command [itcl::code $this AdjustSetting -cutplanevisible] \
+        -variable [itcl::scope _settings(cutplaneVisible)] \
+        -command [itcl::code $this AdjustSetting cutplaneVisible] \
         -font "Arial 9"
 
     checkbutton $inner.wireframe \
         -text "Show Wireframe" \
-        -variable [itcl::scope _settings(-cutplanewireframe)] \
-        -command [itcl::code $this AdjustSetting -cutplanewireframe] \
+        -variable [itcl::scope _settings(cutplaneWireframe)] \
+        -command [itcl::code $this AdjustSetting cutplaneWireframe] \
         -font "Arial 9"
 
     checkbutton $inner.lighting \
         -text "Enable Lighting" \
-        -variable [itcl::scope _settings(-cutplanelighting)] \
-        -command [itcl::code $this AdjustSetting -cutplanelighting] \
+        -variable [itcl::scope _settings(cutplaneLighting)] \
+        -command [itcl::code $this AdjustSetting cutplaneLighting] \
         -font "Arial 9"
 
     checkbutton $inner.edges \
         -text "Show Edges" \
-        -variable [itcl::scope _settings(-cutplaneedges)] \
-        -command [itcl::code $this AdjustSetting -cutplaneedges] \
+        -variable [itcl::scope _settings(cutplaneEdges)] \
+        -command [itcl::code $this AdjustSetting cutplaneEdges] \
         -font "Arial 9"
 
     label $inner.opacity_l -text "Opacity" -font "Arial 9"
     ::scale $inner.opacity -from 0 -to 100 -orient horizontal \
-        -variable [itcl::scope _settings(-cutplaneopacity)] \
+        -variable [itcl::scope _settings(cutplaneOpacity)] \
         -width 10 \
         -showvalue off \
-        -command [itcl::code $this AdjustSetting -cutplaneopacity]
-    $inner.opacity set $_settings(-cutplaneopacity)
+        -command [itcl::code $this AdjustSetting cutplaneOpacity]
+    $inner.opacity set $_settings(cutplaneOpacity)
 
     # X-value slicer...
@@ -1938,6 +1942,6 @@
             -onimage [Rappture::icon x-cutplane-red] \
             -offimage [Rappture::icon x-cutplane-red] \
-            -command [itcl::code $this AdjustSetting -cutplanexvisible] \
-            -variable [itcl::scope _settings(-cutplanexvisible)]
+            -command [itcl::code $this AdjustSetting cutplaneXVisible] \
+            -variable [itcl::scope _settings(cutplaneXVisible)]
     }
     Rappture::Tooltip::for $itk_component(xCutButton) \
@@ -1950,5 +1954,5 @@
             -borderwidth 1 -highlightthickness 0 \
             -command [itcl::code $this EventuallySetCutplane x] \
-            -variable [itcl::scope _settings(-cutplanexposition)] \
+            -variable [itcl::scope _settings(cutplaneXPosition)] \
 	    -foreground red3 -font "Arial 9 bold"
     } {
@@ -1967,6 +1971,6 @@
             -onimage [Rappture::icon y-cutplane-green] \
             -offimage [Rappture::icon y-cutplane-green] \
-            -command [itcl::code $this AdjustSetting -cutplaneyvisible] \
-            -variable [itcl::scope _settings(-cutplaneyvisible)]
+            -command [itcl::code $this AdjustSetting cutplaneYVisible] \
+            -variable [itcl::scope _settings(cutplaneYVisible)]
     }
     Rappture::Tooltip::for $itk_component(yCutButton) \
@@ -1979,5 +1983,5 @@
             -borderwidth 1 -highlightthickness 0 \
             -command [itcl::code $this EventuallySetCutplane y] \
-            -variable [itcl::scope _settings(-cutplaneyposition)] \
+            -variable [itcl::scope _settings(cutplaneYPosition)] \
 	    -foreground green3 -font "Arial 9 bold"
     } {
@@ -1996,6 +2000,6 @@
             -onimage [Rappture::icon z-cutplane-blue] \
             -offimage [Rappture::icon z-cutplane-blue] \
-            -command [itcl::code $this AdjustSetting -cutplanezvisible] \
-            -variable [itcl::scope _settings(-cutplanezvisible)]
+            -command [itcl::code $this AdjustSetting cutplaneZVisible] \
+            -variable [itcl::scope _settings(cutplaneZVisible)]
     }
     Rappture::Tooltip::for $itk_component(zCutButton) \
@@ -2008,5 +2012,5 @@
             -borderwidth 1 -highlightthickness 0 \
             -command [itcl::code $this EventuallySetCutplane z] \
-            -variable [itcl::scope _settings(-cutplanezposition)] \
+            -variable [itcl::scope _settings(cutplaneZPosition)] \
 	    -foreground blue3 -font "Arial 9 bold"
     } {
@@ -2045,13 +2049,13 @@
         }
         "set" {
-            set what [lindex $args 0]
-            set x $_view($what)
+            set who [lindex $args 0]
+            set x $_view($who)
             set code [catch { string is double $x } result]
             if { $code != 0 || !$result } {
                 return
             }
-            switch -- $what {
-                "-ortho" {
-                    if {$_view($what)} {
+            switch -- $who {
+                "ortho" {
+                    if {$_view(ortho)} {
                         SendCmd "camera mode ortho"
                     } else {
@@ -2059,14 +2063,14 @@
                     }
                 }
-                "-xpan" - "-ypan" {
+                "xpan" - "ypan" {
                     PanCamera
                 }
-                "-qx" - "-qy" - "-qz" - "-qw" {
-                    set q [ViewToQuaternion]
+                "qx" - "qy" - "qz" - "qw" {
+                    set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
                     $_arcball quaternion $q
                     EventuallyRotate $q
                 }
-                "-zoom" {
-                    SendCmd "camera zoom $_view($what)"
+                "zoom" {
+                    SendCmd "camera zoom $_view(zoom)"
                 }
             }
@@ -2158,5 +2162,4 @@
     }
     array set settings $style
-    StartBufferingCommands
     SendCmd "streamlines add $tag"
     SendCmd "streamlines seed visible off $tag"
@@ -2165,5 +2168,5 @@
         set length [string length $seeds]
         SendCmd "streamlines seed fmesh 200 data follows $length $tag"
-        append _outbuf $seeds
+        SendCmd "$seeds"
         set _seeds($dataobj) 1
     }
@@ -2171,10 +2174,9 @@
     SendCmd "polydata add $tag"
     SendCmd "polydata colormode constant {} $tag"
-    set _settings(-volumeedges) $settings(-edges)
-    set _settings(-volumelighting) $settings(-lighting)
-    set _settings(-volumeopacity) $settings(-opacity)
-    set _settings(-volumewireframe) $settings(-wireframe)
-    set _settings(-volumeopacity) [expr $settings(-opacity) * 100.0]
-    StopBufferingCommands
+    set _settings(volumeEdges) $settings(-edges)
+    set _settings(volumeLighting) $settings(-lighting)
+    set _settings(volumeOpacity) $settings(-opacity)
+    set _settings(volumeWireframe) $settings(-wireframe)
+    set _settings(volumeOpacity) [expr $settings(-opacity) * 100.0]
     SetColormap $dataobj $comp
 }
@@ -2233,5 +2235,5 @@
         set title $fname
     }
-    if { $_settings(-legendvisible) } {
+    if { $_settings(legendVisible) } {
         set x [expr $w - 2]
         if { [$c find withtag "legend"] == "" } {
@@ -2364,4 +2366,5 @@
         "move" {
             set axis [lindex $args 0]
+            set oldval $_settings(axis-${axis}position)
             set newval [lindex $args 1]
             if {[llength $args] != 2} {
@@ -2411,5 +2414,5 @@
         invoke {
             $itk_component(field) value $_curFldLabel
-            AdjustSetting -field
+            AdjustSetting field
         }
         default {
@@ -2428,13 +2431,13 @@
         bottom "0.707107 0.707107 0 0"
     }
-    foreach name { -qw -qx -qy -qz } value $positions($side) {
+    foreach name { qw qx qy qz } value $positions($side) {
         set _view($name) $value
     } 
-    set q [ViewToQuaternion]
+    set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
     $_arcball quaternion $q
     SendCmd "camera orient $q" 
     SendCmd "camera reset"
-    set _view(-xpan) 0
-    set _view(-ypan) 0
-    set _view(-zoom) 1.0
-}
+    set _view(xpan) 0
+    set _view(ypan) 0
+    set _view(zoom) 1.0
+}
